&id002 !!java.util.LinkedHashMap
? !!org.yaml.snakeyaml.recursive.generics.HumanGen2
  bankAccountOwner: &id001 !!org.yaml.snakeyaml.recursive.generics.HumanGen2
    bankAccountOwner: *id001
    birthPlace: Leningrad
    birthday: 1970-01-12T13:46:40Z
    children: *id002
    father: null
    mother: null
    name: Father
    partner: &id003 !!org.yaml.snakeyaml.recursive.generics.HumanGen2
      bankAccountOwner: *id001
      birthPlace: Saint-Petersburg
      birthday: 1973-03-03T09:46:40Z
      children: *id002
      father: null
      mother: null
      name: Mother
      partner: *id001
  birthPlace: Munich
  birthday: 1979-10-28T23:06:40Z
  children: !!java.util.LinkedHashMap {}
  father: *id001
  mother: *id003
  name: Son
  partner: null
: This is My Son
? !!org.yaml.snakeyaml.recursive.generics.HumanGen2
  bankAccountOwner: *id001
  birthPlace: New York
  birthday: 1983-04-24T02:40:00Z
  children: !!java.util.LinkedHashMap {}
  father: *id001
  mother: *id003
  name: Daughter
  partner: null
: This Is My Daughter